Bug 127199 - [GTK] Avoid a circular dependency when building webkitenumtypes.h
Summary: [GTK] Avoid a circular dependency when building webkitenumtypes.h
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-17 15:35 PST by Martin Robinson
Modified: 2014-01-22 10:55 PST (History)
6 users (show)

See Also:


Attachments
Patch (2.95 KB, patch)
2014-01-17 15:52 PST, Martin Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2014-01-17 15:35:51 PST
Similar to http://trac.webkit.org/changeset/161919, we need to avoid a circular dependency when building webkitenumtypes.h
Comment 1 Martin Robinson 2014-01-17 15:52:58 PST
Created attachment 221501 [details]
Patch
Comment 2 Daniel Bates 2014-01-21 22:10:52 PST
Comment on attachment 221501 [details]
Patch

OK
Comment 3 Martin Robinson 2014-01-22 10:55:00 PST
Comment on attachment 221501 [details]
Patch

Clearing flags on attachment: 221501

Committed r162535: <http://trac.webkit.org/changeset/162535>
Comment 4 Martin Robinson 2014-01-22 10:55:04 PST
All reviewed patches have been landed.  Closing bug.